Loading...
Searching...
No Matches
BALL::SecondaryStructureIteratorTraits Class Reference
Kernel Classes » Iterator Classes

`#include <BALL/KERNEL/secondaryStructureIterator.h>`

Inheritance diagram for BALL::SecondaryStructureIteratorTraits:

## Public Member Functions

| SecondaryStructureIteratorTraits ()
| SecondaryStructureIteratorTraits (const Composite &composite)
| SecondaryStructureIteratorTraits (const SecondaryStructureIteratorTraits &traits, bool=true)
SecondaryStructureIteratorTraits & | operator= (const SecondaryStructureIteratorTraits &traits)
void | resetPredicate ()
Public Member Functions inherited from BALL::CompositeIteratorTraits
| CompositeIteratorTraits ()
| Default constructor.
| CompositeIteratorTraits (const Composite &composite)
| Copy constructor.
| CompositeIteratorTraits (const CompositeIteratorTraits &traits)
| Detailed constructor.
| ~CompositeIteratorTraits ()
| Destructor.
CompositeIteratorTraits & | operator= (const CompositeIteratorTraits &traits)
| Assignment operator.
Composite * | getContainer ()
| Return a pointer to the container the iterator is bound to.
const Composite * | getContainer () const
| Return a const pointer to the container the iterator is bound to.
bool | operator== (const CompositeIteratorTraits &traits) const
| Equality operator.
bool | operator!= (const CompositeIteratorTraits &traits) const
| Inequality operator.
bool | isValid () const
bool | isSingular () const
| Check whether the iterator is bound to a container.
bool | isBegin () const
bool | isEnd () const
bool | isRBegin () const
bool | isREnd () const
Composite::CompositeIterator & | getPosition ()
| Return the current iterator position.
const Composite::CompositeIterator & | getPosition () const
| Return the current iterator posittion (const method).
void | invalidate ()
void | toBegin ()
void | toEnd ()
Composite & | getData ()
| Return a reference to the current element.
const Composite & | getData () const
| Return a const reference to the current element.
void | forward ()
| Increment the iterator by one element.
void | backward ()
| Decrement the iterator one element.
void | toRBegin ()
void | toREnd ()
void | setPredicate (const UnaryPredicate< Composite > &predicate)
| Assign the current predicate associated with the iterator.
const UnaryPredicate< Composite > * | getPredicate () const
| Return the current predicate associated with the iterator.

## Additional Inherited Members

Composite * | bound_
| The pointer to the container.
Composite::CompositeIterator | composite_iterator_
| The internal iterator to iterate over the current node's children.
const UnaryPredicate< Composite > * | predicate_
| The predicate.

## Detailed Description

SecondaryStructureIteratorTraits

Definition at line 32 of file secondaryStructureIterator.h.

## Constructor & Destructor Documentation

## SecondaryStructureIteratorTraits() [1/3]

BALL::SecondaryStructureIteratorTraits::SecondaryStructureIteratorTraits | ( |  | ) |

inline

Definition at line 37 of file secondaryStructureIterator.h.

## SecondaryStructureIteratorTraits() [2/3]

BALL::SecondaryStructureIteratorTraits::SecondaryStructureIteratorTraits | ( | const Composite & | composite | ) |

inline

Definition at line 43 of file secondaryStructureIterator.h.

## SecondaryStructureIteratorTraits() [3/3]

BALL::SecondaryStructureIteratorTraits::SecondaryStructureIteratorTraits | ( | const SecondaryStructureIteratorTraits & | traits,
|  | bool | = true )

inline

Definition at line 49 of file secondaryStructureIterator.h.

## Member Function Documentation

## operator=()

SecondaryStructureIteratorTraits & BALL::SecondaryStructureIteratorTraits::operator= | ( | const SecondaryStructureIteratorTraits & | traits | ) |

inline

Definition at line 54 of file secondaryStructureIterator.h.

## resetPredicate()

void BALL::SecondaryStructureIteratorTraits::resetPredicate | ( |  | ) |

inline

Definition at line 60 of file secondaryStructureIterator.h.